/////////////////////////////////////////////////////////////////////////////
//
//	$Header: /WinArena/WorldData.cpp 1     12/31/06 11:28a Lee $
//
//	File: WorldData.cpp
//
//
/////////////////////////////////////////////////////////////////////////////


#include "WinArena.h"
#include "World.h"


AnimInfo_t g_AnimInfo[Animation_ArraySize] =
{
	{ Animation_Bartender,			"BARTEND.DFA",  140, 1000,   0 },
	{ Animation_Begger,				"BEG#1.DFA",    130, 1600,   0 },
	{ Animation_Brazier,			"BRAZIER.DFA",  150,  700,  75 },
	{ Animation_Candle,				"CANDLE.DFA",   120, 2000,  25 },
	{ Animation_ChaosArrow,			"CHAOS1.DFA",   120, 1200,   0 },
	{ Animation_ChaosPillar,		"CHAOS2.DFA",   120, 1200,   0 },
	{ Animation_ChaosStone,			"CHAOS3.DFA",   120, 1200,   0 },
	{ Animation_CrystalBall,		"CRYSBALL.DFA", 120, 1000,   0 },
	{ Animation_CrystalStaff,		"CRYSTAFF.DFA", 140, 1000,   0 },
	{ Animation_DarkAltar,			"DALTAR1.DFA",  160,  800,  60 },
	{ Animation_Dragonling,			"DRAGON.DFA",   140, 2000,   0 },
	{ Animation_Fireplace,			"FIRE.DFA",     120,  600,  40 },
	{ Animation_FireGem,			"FIREGEM.DFA",  160,  800,   0 },
	{ Animation_FireBreather,		"FIREMN.DFA",   160, 2000,   0 },
	{ Animation_FirePitCauldron,	"FIREPIT1.DFA", 160,  700,  80 },
	{ Animation_FirePitCook,		"FIREPIT2.DFA", 180, 2100,  70 },
	{ Animation_Fishbowl,			"FISHBOWL.DFA", 140, 2000,   0 },
	{ Animation_Guard1,				"GUARD01.DFA",  225, 2000,   0 },
	{ Animation_Guard2,				"GUARD02.DFA",  210, 2000,   0 },
	{ Animation_Guard3,				"GUARD03.DFA",  210, 2000,   0 },
	{ Animation_Guard4,				"GUARD04.DFA",  210, 2000,   0 },
	{ Animation_Guard5,				"GUARD05.DFA",  210, 2000,   0 },
	{ Animation_GuardDeath,			"GUARD06.DFA",  210,  600,   0 },
	{ Animation_GuardSingle1,		"GUARD1.DFA",   160, 2000,   0 },
	{ Animation_GuardSingle2,		"GUARD1M.DFA",  160, 2000,   0 },
	{ Animation_GuardPair1,			"GUARD2.DFA",   160, 2000,   0 },
	{ Animation_GuardPair2,			"GUARD2M.DFA",  160, 2000,   0 },
	{ Animation_GuardTalk1,			"GUARD3.DFA",   160, 2000,   0 },
	{ Animation_GuardTalk2,			"GUARD3M.DFA",  160, 2000,   0 },
	{ Animation_GuardRender,		"GUARD6.DFA",   210,  600,   0 },
	{ Animation_Hoker1,				"HOKER1.DFA",   160, 1200,   0 },
	{ Animation_Hoker2,				"HOKER2.DFA",   166, 1200,   0 },
	{ Animation_Hoker3,				"HOKER3.DFA",   166, 1200,   0 },
	{ Animation_HokerPushups,		"SLAVE.DFA",    166, 1200,   0 },
	{ Animation_Jester,				"JSTER1.DFA",   140, 1800,   0 },
	{ Animation_ManFlaggon,			"MAN01.DFA",    180, 3600,   0 },
	{ Animation_ManNodding,			"MAN02.DFA",    190, 3800,   0 },
	{ Animation_ManTalking,			"MAN03.DFA",    180, 4000,   0 },
	{ Animation_ManFarmer,			"MAN04.DFA",    200, 3200,   0 },
	{ Animation_MerchantTable,		"MERCH1.DFA",   150, 2000,   0 },
	{ Animation_MerchantBooth,		"MERCH2.DFA",   150, 2000,   0 },
	{ Animation_Moon1,				"MOON01.DFA",   120, 2000,   0 },
	{ Animation_Moon2,				"MOON02.DFA",   120, 2000,   0 },
	{ Animation_Musician1,			"MUSIC1.DFA",   135, 2000,   0 },
	{ Animation_Musician2,			"MUSIC2.DFA",   135, 2000,   0 },
	{ Animation_StoneLamp,			"NDLAMP.DFA",   170,  500,  70 },
	{ Animation_FountainDragon,		"NFOUNT1D.DFA", 160,  600,   0 },
	{ Animation_FountainNormal,		"NFOUNT1M.DFA", 160,  600,   0 },
	{ Animation_FountainLion,		"NFOUNT1T.DFA", 160,  600,   0 },
	{ Animation_Streetlight,		"NLAMP1.DFA",   144,  500,  80 },
	{ Animation_StreetlightSnowy,	"SLAMP1.DFA",   144,  600,  80 },
	{ Animation_Priest1,			"PREST1.DFA",   170, 2000,   0 },
	{ Animation_Priest2,			"PREST2.DFA",   170, 2000,   0 },
	{ Animation_Puddle,				"PUDD.DFA",     120, 2000,   0 },
	{ Animation_Rat,				"RAT1.DFA",     120, 3500,   0 },
	{ Animation_ShadyThug,			"SHADY1.DFA",   160, 2000,   0 },
	{ Animation_SkullCandle,		"SKULCNDL.DFA", 120,  600,  25 },
	{ Animation_Smith,				"SMITH.DFA",    225,  900,  70 },
	{ Animation_SnakeCharmer,		"SNAKTM.DFA",   150, 2000,   0 },
	{ Animation_TorchPost,			"TORCHPST.DFA", 140,  500,  80 },
	{ Animation_Vendor,				"VENDER.DFA",   150, 1600,   0 },
	{ Animation_VolcanoSmall,		"VOLCAN1.DFA",  180, 2000,   0 },
	{ Animation_VolcanoDagothUr,	"VOLCANO1.DFA", 220, 1800,   0 },
	{ Animation_VolcanoLarge,		"VOLCANO2.DFA", 160, 1800,   0 },
	{ Animation_WaterColumn,		"WCOLUMN1.DFA", 100,  800,   0 },
	{ Animation_WaterColumnBroken,	"WCOLUMN2.DFA", 100,  800,   0 },
	{ Animation_Wizard,				"WIZZ1.DFA",    160, 2500,   0 },
	{ Animation_WomanLeather,		"WOMAN01.DFA",  170, 2800,   0 },
	{ Animation_WomanTankard,		"WOMAN02.DFA",  180, 2400,   0 },
	{ Animation_WomanHaughty,		"WOMAN03.DFA",  170, 2400,   0 },
	{ Animation_WomanBikini,		"WOMAN04.DFA",  180, 2400,   0 },
	{ Animation_Seaweed,			"WSEAWEED.DFA", 150, 1200,   0 },
	{ Animation_WaterStatue1,		"WSTATUE1.DFA", 190,  800,   0 },
	{ Animation_WaterStatue2,		"WSTATUE2.DFA", 160,  800,   0 },
//	{								"HORSE.DFA",    140, 1600,   0 },
//	{								"NCART1.DFA",   120, 2000,   0 },	// looks like damaged version of rat animation
//	{								"SCROLL01.DFA", 120, 2000,   0 },
//	{								"SCROLL02.DFA", 120, 2000,   0 },
//	{								"TOP.DFA",      120, 2000,   0 },
	{ Animation_BloodSpurt,			"BLOOD.CFA",	640,  600,   0 },
	{ Animation_AcidBurstLarge,		"EXP_AB.CFA",   320, 1400,  80 },
	{ Animation_AcidBurstSmall,		"EXP_AD.CFA",   320, 1400,  60 },
	{ Animation_AcidBulletLarge,	"FX_AB.CFA",    640,  600,  60 },
	{ Animation_AcidBulletSmall,	"FX_AD.CFA",    640,  400,  40 },
	{ Animation_FireBurstLarge,		"EXP_FB.CFA",   320, 1200,  80 },
	{ Animation_FireBurstSmall,		"EXP_FD.CFA",   320,  900,  60 },
	{ Animation_FireBulletLarge,	"FX_FB.CFA",    640,  600,  40 },
	{ Animation_FireBulletSmall,	"FX_FD.CFA",    640,  400,  20 },
	{ Animation_GasBurstLarge,		"EXP_GB.CFA",   320,  800,  80 },
	{ Animation_GasBurstSmall,		"EXP_GD.CFA",   320,  800,  60 },
	{ Animation_GasBulletLarge,		"FX_GB.CFA",    640,  600,  60 },
	{ Animation_GasBulletSmall,		"FX_GD.CFA",    640,  400,  40 },
	{ Animation_IceBurstLarge,		"EXP_IB.CFA",   320, 1200,  80 },
	{ Animation_IceBurstSmall,		"EXP_ID.CFA",   320, 1000,  60 },
	{ Animation_IceBulletLarge,		"FX_IB.CFA",    640,  600,  60 },
	{ Animation_IceBulletSmall,		"FX_ID.CFA",    640,  400,  40 },
	{ Animation_MagicBurstLarge,	"EXP_MB.CFA",   320, 1400,  80 },
	{ Animation_MagicBurstSmall,	"EXP_MD.CFA",   320,  900,  60 },
	{ Animation_MagicBulletLarge,	"FX_MB.CFA",    640,  600,  60 },
	{ Animation_MagicBulletSmall,	"FX_MD.CFA",    640,  400,  40 },
	{ Animation_ShockBurstLarge,	"EXP_EB.CFA",   320, 1400,  80 },
	{ Animation_ShockBurstSmall,	"EXP_ED.CFA",   320,  900,  60 },
	{ Animation_ShockBulletLarge,	"FX_EB.CFA",    640,  600,  60 },
	{ Animation_ShockBulletSmall,	"FX_ED.CFA",    640,  400,  40 },
};


CritterInfo_t g_CritterInfo[c_CritterTypeCount] =
{
	{	"DEAMON",
		"Daemon",
		0,
		{  52,  64,  90,  82,  34,  30 },
		{  -6,   0,   8,   8, -27,   0 },
		{ 185, 185, 185, 185, 170, 185 },
		Sound_FireDaemon
	},
	{	"GHOST",
		"Ghost",
		CritterFlag_Translucent,
		{  56,  20,  13,  40,  16,  22 },
		{   0,   1,   6,   4,  -2,   2 },
		{ 200, 200, 200, 200, 200, 200 },
		Sound_Ghost
	},
	{	"GHOUL",
		"Ghoul",
		CritterFlag_CorpsePersists,
		{  54,  32,  38,  35,  28,  37 },
		{   0,   0,   0,   0,   0,   0 },
		{ 140, 140, 140, 140, 140, 140 },
		Sound_Ghoul
	},
	{	"GOBLIN",
		"Goblin",
		CritterFlag_CorpsePersists,
		{  64,  40,  16,  18,  26,  82 },
		{   0,   0,   0,   0,   0,   0 },
		{ 150, 165, 163, 150, 165, 150 },
		Sound_Lich
	},
	{	"GUARD0",
		"Guard",
		CritterFlag_CorpsePersists,
		{  30,  32,  42,  39,  26, 110 },
		{  -2,   6,   6,   5,   4,   0 },
		{ 210, 210, 210, 210, 210, 210 },
		Sound_Halt
	},
	{	"HOM",
		"Homonculous",
		0,
		{  84,  80,  48,  60,  74,  78 },
		{  10,  14,  14,  29,  16,   0 },
		{ 160, 160, 160, 160, 160, 160 },
		Sound_Homonculous
	},
	{	"HOUND",
		"Hellhound",
		CritterFlag_CorpsePersists,
		{  29,  60,  80,  70,  29,  55 },
		{   0,   0,   0,   0,   0,   0 },
		{ 190, 190, 180, 180, 180, 190 },
		Sound_Wolf
	},
	{	"ICE",
		"Ice Golem",
		CritterFlag_CorpsePersists,
		{  59,  38,  45,  46,  32,  59 },
		{   0,   0,   0,   0,   0,   0 },
		{ 160, 160, 160, 160, 160, 160 },
		Sound_IceGolem
	},
	{	"IRON",
		"Iron Golem",
		CritterFlag_CorpsePersists,
		{  76,  70,  72,  60,  55,  64 },
		{   6,   0,   2,   1,   2,   0 },
		{ 180, 180, 180, 180, 180, 180 },
		Sound_IronGolem
	},
	{	"LICH",
		"Lich",
		0,
		{  78,  58,  56,  37,  26,  40 },
		{   0,   0,   0,   0,   0,   0 },
		{ 200, 190, 190, 190, 190, 200 },
		Sound_Growl0
	},
	{	"LIZARD",
		"Lizardman",
		CritterFlag_CorpsePersists,
		{  48,  60,  80,  80,  54,  56 },
		{   0,   0,   0,   0, -10,   0 },
		{ 200, 200, 190, 190, 200, 200 },
		Sound_Monster
	},
	{	"MEDUSA",
		"Medusa",
		CritterFlag_CorpsePersists,
		{  46,  84, 116, 110,  60,  50 },
		{   0,   8,  15,   9,   0,   0 },
		{ 180, 180, 160, 150, 140, 180 },
		Sound_Skeleton
	},
	{	"ORC",
		"Orc",
		CritterFlag_CorpsePersists,
		{  35,  36,  43,  55,  33,  41 },
		{   0,   0,   0,   0,   0,   0 },
		{ 180, 180, 180, 180, 180, 180 },
		Sound_Orc
	},
	{	"PAT",
		"Minotaur",
		CritterFlag_CorpsePersists,
		{  72,  54,  38,  38,  27,  50 },
		{   0,   0,   0,   0,   0,   0 },
		{ 180, 180, 180, 180, 180, 180 },
		Sound_Minotaur
	},
	{	"RAT",
		"Rat",
		CritterFlag_CorpsePersists,
		{  14,  34,  52,  42,  18,  36 },
		{   0,   0,   0,   0,   0,   0 },
		{ 120, 120, 120, 120, 120, 120 },
		Sound_Rat
	},
	{	"SKELE",
		"Skeleton",
		CritterFlag_CorpsePersists,
		{  37,  31,  27,  28,  26,  26 },
		{   0,   0,   0,   0,   0,   0 },
		{ 190, 190, 190, 190, 190, 190 },
		Sound_Medusa
	},
	{	"SPIDER",
		"Giant Spider",
		CritterFlag_CorpsePersists,
		{  57,  61,  62,  55,  55,  39 },
		{   0,   0,   0,   0,   0,   0 },
		{ 190, 190, 210, 190, 190, 190 },
		Sound_Squish
	},
	{	"STONE",
		"Stone Golem",
		CritterFlag_CorpsePersists,
		{  40,  36,  41,  40,  26,  40 },
		{   0,   0,   0,   0,   0,   0 },
		{ 205, 215, 195, 190, 185, 190 },
		Sound_StoneGolem
	},
	{	"SWOLF0",
		"Snow Wolf",
		CritterFlag_CorpsePersists,
		{  29,  60,  80,  70,  29,  55 },
		{   0,   0,   0,   0,   0,   0 },
		{ 190, 190, 180, 180, 180, 190 },
		Sound_Wolf
	},
	{	"THARN0",
		"Jagar Tharn",
		CritterFlag_CorpsePersists,
		{  45,  43,  44,  35,  52,  32 },
		{  -8,   0,   0,   0,   0,   0 },
		{ 200, 200, 200, 213, 216, 200 },
		Sound_DirtLeft
	},
	{	"TROLL",
		"Troll",
		CritterFlag_CorpsePersists,
		{  66,  61,  45,  52,  51,  56 },
		{   0,   0,   2,   6,   6,   0 },
		{ 160, 160, 160, 160, 160, 160 },
		Sound_Troll
	},
	{	"VAMPIRE",
		"Vampire",
		0,
		{  42,  44,  46,  37,  25,  46 },
		{  -8,   0,   0,   0,   0,   0 },
		{ 200, 200, 200, 213, 216, 200 },
		Sound_Vampire
	},
	{	"WOLF0",
		"Wolf",
		CritterFlag_CorpsePersists,
		{  29,  60,  80,  70,  29,  55 },
		{   0,   0,   0,   0,   0,   0 },
		{ 190, 190, 180, 180, 180, 190 },
		Sound_Wolf
	},
	{	"WRAITH",
		"Wraith",
		CritterFlag_Translucent,
		{  37,  31,  37,  31,  25,  34 },
		{   0,   2,   4,   4,   2,   0 },
		{ 200, 200, 200, 200, 200, 200 },
		Sound_Wraith
	},
	{	"ZOMBIE",
		"Zombie",
		CritterFlag_CorpsePersists,
		{  56,  23,  25,  41,  17,  40 },
		{   0,   0,   0,   0,   0,   0 },
		{ 185, 172, 172, 180, 185, 190 },
		Sound_Zombie
	},
};


SoundFile_t g_SoundFile[Sound_ArraySize] =
{
	{ "ARROWFR",  Sound_ArrowFire,		 6,  0 },
	{ "ARROWHT",  Sound_ArrowHit,		 1,  0 },
	{ "BACK1",    Sound_Background,		 1, 10 },
	{ "BASH",     Sound_Bash,			 4,  0 },
	{ "BIRDS",    Sound_Birds1,			 2, 11 },
	{ "BIRDS2",   Sound_Birds2,			 2,  0 },
	{ "BODYFALL", Sound_BodyFall,		 6,  0 },
	{ "BURST5",   Sound_Burst,			 3,  0 },
	{ "CLANK",    Sound_Clank,			 1,  0 },
	{ "CLICKS",   Sound_Clicks,			 2, 10 },
	{ "CLOSDOOR", Sound_CloseDoor,		 3,  2 },
	{ "DEEPCHOI", Sound_DeepChoir,		 4,  0 },
	{ "DIRTL",    Sound_DirtLeft,		10,  0 },
	{ "DIRTR",    Sound_DirtRight,		10,  0 },
	{ "DRIP1",    Sound_Drip1,			12,  0 },
	{ "DRIP2",    Sound_Drip2,			10,  0 },
	{ "DRUMS",    Sound_Drums,			12,  0 },
	{ "EERIE",    Sound_Eerie,			 3,  0 },
	{ "EHIT",     Sound_EHit,			 3,  0 },
	{ "EXPLODE",  Sound_Explode,		 4,  0 },
	{ "FANFARE1", Sound_Fanfare1,		 1, 36 },
	{ "FANFARE2", Sound_Fanfare2,		 6,  0 },	// too much clipping in original data
	{ "FDIE",     Sound_FemaleDie,		 3,  0 },
	{ "FIREDAEM", Sound_FireDaemon,		12,  0 },
	{ "GHOST",    Sound_Ghost,			12,  0 },
	{ "GHOUL",    Sound_Ghoul,			12,  0 },
	{ "GRIND",    Sound_Grind,			 8,  0 },
	{ "GROWL",    Sound_Growl0,			 8,  0 },
	{ "GROWL1",   Sound_Growl1,			 8,  0 },
	{ "GROWL2",   Sound_Growl2,			10, 12 },
	{ "HALT",     Sound_Halt,			 4,  0 },
	{ "HELLHOUN", Sound_HellHound,		 4,  0 },
	{ "HICHOIR",  Sound_HighChoir,		10,  0 },	// really noticeable pop in the middle, but can't see it in waveform
	{ "HOMO",     Sound_Homonculous,	 6,  0 },	// couple bad pops in second half
	{ "HUMEERIE", Sound_HumEerie,		 4,  0 },
	{ "ICEGOLEM", Sound_IceGolem,		 8,  0 },
	{ "IRONGOLS", Sound_IronGolem,		 8,  0 },
	{ "LICH",     Sound_Lich,			10, 10 },
	{ "LIZARDST", Sound_Lizard,			 4,  0 },
	{ "LOCK",     Sound_Lock,			 8,  0 },
	{ "MDIE",     Sound_MaleDie,		 4,  0 },
	{ "MEDUSA",   Sound_Medusa,			 4,  8 },
	{ "MINOTAUR", Sound_Minotaur,		 6,  0 },
	{ "MONSTER",  Sound_Monster,		12,  8 },
	{ "MOON",     Sound_Moon,			12,  0 },
	{ "MUDSTE",   Sound_MudStepLeft,	10,  0 },
	{ "MUDSTEP",  Sound_MudStepRight,	10,  0 },
	{ "NHIT",     Sound_NHit,			 2,  0 },
	{ "OPENALT",  Sound_OpenAlt,		 3,  0 },
	{ "OPENDOOR", Sound_OpenDoor,		 1,  0 },
	{ "ORC",      Sound_Orc,			 3,  8 },
	{ "PORTC",    Sound_Portcullis,		 1,  0 },
	{ "RATS",     Sound_Rat,			 4,  0 },
	{ "SCREAM1",  Sound_Scream1,		 1,  0 },
	{ "SCREAM2",  Sound_Scream2,		 3,  0 },
	{ "SKELETON", Sound_Skeleton,		 8,  8 },
	{ "SLOWBALL", Sound_SlowBall,		 6,  0 },
	{ "SNARL2",   Sound_Snarl,			 1,  0 },
	{ "SNOWL",    Sound_SnowLeft,		10,  0 },
	{ "SNOWR",    Sound_SnowRight,		10,  0 },
	{ "SPLASH",   Sound_Splash,			 1,  0 },
	{ "SQUISH1",  Sound_Squish,			 4,  0 },
	{ "STONEGOL", Sound_StoneGolem,		 4,  0 },
	{ "STPTHIEF", Sound_StopThief,		 4,  0 },
	{ "SWIMMING", Sound_Swimming,		 1,  0 },
	{ "SWISH",    Sound_Swish,			 6,  0 },
	{ "THUNDER",  Sound_Thunder,		 4,  0 },	// extreme quantization in source audio, not much can be done with it
	{ "TROLL",    Sound_Troll,			 3,  0 },
	{ "UHIT",     Sound_UHit,			 1,  0 },
	{ "UMPH",     Sound_Umph,			 6,  0 },
	{ "VAMPIRE",  Sound_Vampire,		 4,  8 },
	{ "WHINE",    Sound_Whine,			 1,  0 },
	{ "WIND",     Sound_Wind,			 1,  0 },
	{ "WOLF",     Sound_Wolf,			 4,  2 },
	{ "WRAITH",   Sound_Wraith,			 4,  4 },
	{ "ZOMBIE",   Sound_Zombie,			10,  0 }
};


SongFile_t g_SongFile[Song_ArraySize] =
{
	{ "ARAB_VLG.XMI",	"ArabVillage.mid",	Song_ArabVillage },
	{ "ARABCITY.XMI",	"ArabCity.mid",		Song_ArabCity },
	{ "ARABTOWN.XMI",	"ArabTown.mid",		Song_ArabTown },
	{ "CITY.XMI",		"City.mid",			Song_City },
	{ "COMBAT.XMI",		"Combat.mid",		Song_Combat },
	{ "CREDITS.XMI",	"Credits.mid",		Song_Credits },
	{ "DUNGEON1.XMI",	"Dungeon1.mid",		Song_Dungeon1 },
	{ "DUNGEON2.XMI",	"Dungeon2.mid",		Song_Dungeon2 },
	{ "DUNGEON3.XMI",	"Dungeon3.mid",		Song_Dungeon3 },
	{ "DUNGEON4.XMI",	"Dungeon4.mid",		Song_Dungeon4 },
	{ "DUNGEON5.XMI",	"Dungeon5.mid",		Song_Dungeon5 },
	{ "EQUIPMNT.XMI",	"Equipment.mid",	Song_Equipment },
	{ "EVIL.XMI",		"Evil.mid",			Song_Evil },
	{ "EVLINTRO.XMI",	"EvilIntro.mid",	Song_EvilIntro },
	{ "MAGIC_2.XMI",	"Magic.mid",		Song_Magic },
	{ "NIGHT.XMI",		"Night.mid",		Song_Night },
	{ "OVERCAST.XMI",	"Overcast.mid",		Song_Overcast },
	{ "OVERSNOW.XMI",	"OverSnow.mid",		Song_OverSnow },
	{ "PALACE.XMI",		"Palace.mid",		Song_Palace },
	{ "PERCNTRO.XMI",	"PercIntro.mid",	Song_PercIntro },
	{ "RAINING.XMI",	"Raining.mid",		Song_Raining },
	{ "SHEET.XMI",		"Sheet.mid",		Song_Sheet },
	{ "SNEAKING.XMI",	"Sneaking.mid",		Song_Sneaking },
	{ "SNOWING.XMI",	"Snowing.mid",		Song_Snowing },
	{ "SQUARE.XMI",		"Square.mid",		Song_Square },
	{ "SUNNYDAY.XMI",	"SunnyDay.mid",		Song_SunnyDay },
	{ "SWIMMING.XMI",	"Swimming.mid",		Song_Swimming },
	{ "TAVERN.XMI",		"Tavern.mid",		Song_Tavern },
	{ "TEMPLE.XMI",		"Temple.mid",		Song_Temple },
	{ "TOWN.XMI",		"Town.mid",			Song_Town },
	{ "VILLAGE.XMI",	"Village.mid",		Song_Village },
	{ "VISION.XMI",		"Vision.mid",		Song_Vision },
	{ "WINGAME.XMI",	"WinGame.mid",		Song_WinGame }
};



